Retrieve card list

GET
https://example.flowfast.io/api/latest/cards

Get Card list filtered by query parameters. The result of the request is displayed page by page (see details in the constraints of the parameters).

⚠️ Starting late August, /api/column and column schemas will only use card_hide_after_days. The months_to_hide_cards attribute is deprecated and will be removed — update your code to use card_hide_after_days only.

Headers
NameValue
Content-Typeapplication/json
Query
NameTypeConstraintsDescription
created_beforestringCreated before search filter (format: ISO 8601)
created_afterstringCreated after search filter (format: ISO 8601)
updated_beforestringUpdated before search filter (format: ISO 8601)
updated_afterstringUpdated after search filter (format: ISO 8601)
first_moved_in_progress_afterstringFirst moved in progress after date search filter (format: ISO 8601)
first_moved_in_progress_beforestringFirst moved in progress before date search filter (format: ISO 8601)
last_moved_to_done_at_afterstringLast time moved to done column after date search filter (format: ISO 8601)
last_moved_to_done_at_beforestringLast time moved to done column before date search filter (format: ISO 8601)
due_date_afterstringDue date is set to date after search filter (format: ISO 8601)
due_date_beforestringDue date is set to date before search filter (format: ISO 8601)
querystringCard contains text search filter
tagstringTag search filter
tag_idsstringSearch by tag ids filter, comma separated
type_idsstringSearch by type ids filter, comma separated
exclude_board_idsstringExclude board ids filter, comma separated
exclude_lane_idsstringExclude lane ids filter, comma separated
exclude_column_idsstringExclude columns ids filter, comma separated
column_idsstringSearch by column ids filter, comma separated
member_idsstringSearch by member ids filter, comma separated
owner_idsstringSearch by owner ids filter, comma separated
responsible_idsstringSearch by responsible ids filter, comma separated
statesstringSearch by states filter, comma separated. 1-queued, 2-inProgress, 3-done
external_idstringSearch by external id filter
additional_card_fieldsstringGet additional card fields, comma separated. Possible list of fields: 'description'
search_fieldsstringFields to search by
space_idintegerFilter by space id
limitintegerDefault: 100 Max: 100Maximum amount of cards in response
offsetintegerNumber of records to skip
order_space_idintegerOrder by space id
board_idintegerFilter by board id
column_idintegerFilter by column id
lane_idintegerFilter by lane id
conditionintegerFilter by condition: 1 - on board, 2 - archived
type_idintegerFilter by type id
responsible_idintegerFilter by responsible id
owner_idintegerFilter by owner id
archivedbooleanArchived flag
asapbooleanASAP marker
overduebooleanFilter by completed on time
done_on_timebooleanFilter by done on time
with_due_datebooleanFilter by due date is set
filterBETAstring
Filter by and/or conditions encoded in the base64 format

Schema example:

Open
order_bystringFields by which sorting is performed. Сomma separated
order_directionstringSorting direction "asc" or "desc". Сomma separated. The sequence corresponds to the sequence of fields of the parameter "order_by"
is_requestbooleanSearch requests
exclude_owner_idsstringExclude owner ids filter, comma separated
exclude_card_idsstringExclude card ids filter, comma separated
organizations_idsstringSearch by organizations filter, comma separated
broken_apibooleanBackward compatibility flag for user-type custom properties. true (default until 2026-04-01): returns user UID strings. false: returns user integer IDs. Recommended: use broken_api=false for new integrations.
Responses

200
DescriptionResponse typeExample
SuccessArray of objects
Open
Response Attributes
NameTypeDescription
updated

string

Last update timestamp
created

string

Create date
archived

boolean

Card archived flag
id

integer

Card id
title

string

Card title
description

null | string

Card description. Present only if query parameter 'additional_card_fields' in the request contains 'description' field option
asap

boolean

Card asap flag
due_date

null | string

Card deadline
sort_order

number

Position
fifo_order

integer

Number of card in the cell when fifo rule applied to cards column
state

enum

1-queued, 2-inProgresss, 3-done
condition

enum

1 - live, 2 - archived
expires_later

boolean

Fixed deadline or not. Date dependant flag in terms of Kanban
parents_count

integer

Card parents count
children_count

integer

Card children count
children_done

integer

Card children done count
has_blocked_children

boolean

Flag indicating that card has blocked children
goals_total

integer

Card goals count
goals_done

integer

Number of card done goals
time_spent_sum

integer

Amount of time spent(in minutes)
time_blocked_sum

integer

Amount of blocked time(in minutes)
children_number_properties_sum

null | object

Schema
Sum according to numerical data of child cards
calculated_planned_start

null | string

Calculated planned start
calculated_planned_end

null | string

Calculated planned end
parent_checklist_ids

null | array

Array of card parent checklist ids
parents_ids

null | array

Array of card parent ids
children_ids

null | array

Array of card children ids
blocking_card

boolean

Is card blocking another card
blocked

boolean

Is card blocked
size

null | number

Numerical part of size
size_unit

null | string

Text part of size
size_text

null | string

Size. Example of acceptable values: '1', '23.45', '.5', 'S', '3 M', 'L', 'XL', etc...
due_date_time_present

boolean

Flag indicating that deadline is specified up to hours and minutes
board_id

integer

Board id
column_id

integer

Column id
lane_id

integer

Lane id
owner_id

integer

Card owner id
type_id

integer

Card type id
version

integer

Card version
updater_id

integer

User id who last updated card
completed_on_time

null | boolean

Flag indicating that card completed on time when due date present
completed_at

null | string

Date when card moved to done type column
last_moved_at

null | string

Date when card last moved
lane_changed_at

null | string

Date when card changed lane
column_changed_at

null | string

Date when card changed column
first_moved_to_in_progress_at

null | string

Date when card first moved to inProgress type column
last_moved_to_done_at

null | string

Date when card last moved to done type column
sprint_id

integer

Sprint id
external_id

null | string

External id
service_id

integer

Service id
comments_total

integer

Total card comments
comment_last_added_at

null | string

Date when last comment added
properties

null | object

Schema
Card custom properties. Format: id_{propertyId}:value
planned_start

null | string

Card timeline planned start
planned_end

null | string

Card timeline planned end
counters_recalculated_at

string

Date of recalculating counters
sd_new_comment

boolean

Has unseen service desk request author comments
public

boolean

Is card public
share_settings

null | object

Schema
Public share settings
share_id

null | string

Public share id
external_user_emails

null | string

External users emails
description_filled

boolean

Flag indicating that card has description
estimate_workload

number

Estimate_workload
owner

object

Schema
Card owner info
type

object

Schema
Card type info
board

object

Schema
Card board info
members

array

Schema
Card members
column

object

Schema
Card column
lane

object

Schema
Card lane info
children

array of objects

Schema
Card childrens
parents

array

Schema
Card parents
path_data

object

Schema
Card path info (space, board, column, lane, etc)
source

enum | null

app, api, email, telegram, slack, webhook, import, schedule, automation
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

logo
FlowFast
If you have any questions or need help with integration feel free to write us at support@flowfast.io
  1  curl --request GET \
  2       --url 'https://example.flowfast.io/api/latest/cards' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!